<template>
	<view class="body">
		<!-- <block v-for="(page, pIndex) in data" :key="pIndex">
			<block v-for="(item, index) in page" :key="item.id">
				<view class="probody">
					<company-list :companyitem="item" :noApply="false"></company-list>
					<view class="baddd"></view>
				</view>
			</block>
		</block> -->
		<view class="newPeojectList">
			<view style="background-color: #fff;padding: 20rpx 30rpx;">
				<view v-for="(item,index) in policyContentList" :key="index" style="display: flex;align-items: center;padding: 20rpx 0;border-bottom:1rpx solid #ddd;" @click="toArticleDetail(item.id)">
					<image src="../../../static/img/policy_icon.png" style="width: 60rpx;height:60rpx;margin-right: 20rpx;border-radius: 10rpx;" mode=""></image>
					<view style="font-size: 32rpx;">{{ item.name }}</view>
				</view>
			</view>
			<view v-if="policyContentList.length<=0">
				<image src="../../../static/img/pic_notask.svg" class="nothing" mode=""></image>
				<view class="nothing_text">暂无最新资讯</view>
				<view class="baddd"></view>
			</view>
		</view>
		<!-- <view class="nothing" v-if="data.length === 0">
			<image src="/static/img/pic_notask.svg" mode=""></image>
			<view class="nothingContnt">
				暂无政策信息
			</view>
		</view> -->
	</view>
</template>

<script>
	import vTabs from '@/components/v-tabs/v-tabs.vue';
	// import companyList from '@/components/companyList/applyList.vue';
	import {
		getNewsPolicyList
	} from '@/api/mission.js';

	export default {
		components: {
			vTabs,
			// companyList
		},
		data() {
			return {
				policyContentList: [],
				activeTab: 0,
				current: 1,
				size: 10,
				total: 0
			}
		},
		onLoad: function() {
			this.init()
		},
		/*页面滚动到底部 换页*/
		onReachBottom: function() {
			if (this.current <= Math.ceil(this.total / this.size)) {
				this.getData();
			} else {
				uni.showToast({
					icon: "none",
					title: '已经是最后一页',
				})
			}
		},
		/*下拉刷新*/
		onPullDownRefresh:function(){
			this.init()
		},
		methods: {
			init(){
				this.current = 1
				this.policyContentList = []
				this.getData()
			},
			toArticleDetail(id) {
				if(id){
					uni.navigateTo({
						url:`/pages/user/policyDetail?id=${id}`
					})
				}
			},
			getData() {
				var status = Number(this.activeTab) + 1
				// 任务
				let ids = ["1767522008019800065","1767523160165748738"]
				// let type = 0
				// 岗位
				// let ids = ["1758500271264247823","1758500271264247824","1758500271264247825","1758500271264247826","1758500271264247827"]
				// let type = 1
				getNewsPolicyList(ids).then(res => {
					uni.stopPullDownRefresh();
					if (this.current === 1) {
						this.policyContentList = [];
					}
					this.current += 1;
					// this.total = res.data.data.total;
					if (res.data.data && res.data.data.length) {
						this.policyContentList = res.data.data;
						// console.log(this.policyContentList)
					}
				})
			},
			gomap: function() {
				uni.navigateTo({
					url: '../mapSeach/mapSeach'
				})
			},
			changeTab: function(e) {
				this.activeTab = e;
				this.init()
			}
		}
	}
</script>

<style scoped>
	page {
		height: 100%;
	}

	.tab {
		height: 46px;
	}

	.body {
		height: 100%;
	}
	
	.probody image {
		width: 88rpx;
		height: 88rpx;
		position: absolute;
		right: 0;
		top: 0;
	}
	
	.probody {
		width: 100%;
		position: relative;
	}
	
	.baddd {
		background: #f6f6f6;
		height: 20rpx;
	}
	
	.nothing {
		height: 100%;
		padding-top: 50%;
		box-sizing: border-box;
	}
	
	.nothing image {
		width: 400rpx;
		height: 200rpx;
		display: block;
		margin: 0 auto;
	}
	
	.nothingContnt {
		font-family: PingFangSC-Regular;
		font-size: 28rpx;
		color: #666;
		margin-top: 30rpx;
		text-align: center;
	}
	
	.nothing {
		width: 345px;
		height: 130px;
		display: block;
	}
	
	.nothing_text {
		font-family: PingFangSC-Regular;
		font-size: 28rpx;
		color: #666666;
		text-align: center;
		margin-bottom: 20rpx;
		width: 690rpx;
	}
</style>
